View Issue Details

IDProjectCategoryView StatusLast Update
0001304SketcherFeaturepublic2018-10-28 18:36
Reporterbejant Assigned Toabdullah  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformOSXPOS VersionBuild 2600 SP 3
Product Version0.13 
Target Version0.18Fixed in Version0.18 
Summary0001304: Allow Sketcher to Fillet Arcs, Not Only Lines
DescriptionUpgrade the fillet tool in Sketcher to allow creation of a fillet between 2 arcs (such as at the top or bottom of a heart-shaped Sketch) or between an arc and a line. Sketch is attached.
Additional InformationOS: Windows XP
Platform: 32-bit
Version: 0.14.2370 (Git)
Branch: master
Hash: a836759ebd91404954a778ff8885e152611576e1
Python version: 2.6.2
Qt version: 4.5.2
Coin version: 3.1.0
SoQt version: 1.4.1
OCC version: 6.5.1
TagsNo tags attached.

Activities

bejant

2013-11-13 04:03

reporter  

20131112d.FCStd (3,234 bytes)

abdullah

2018-10-15 15:27

manager  

abdullah

2018-10-15 15:27

manager   ~0012031

I have given it a try. I have problems deciding which end of the original curves should be trimmed. I also realised there are two solutions, internal and external tangency.

abdullah

2018-10-16 14:57

manager   ~0012041

https://forum.freecadweb.org/viewtopic.php?f=3&t=31594

abdullah

2018-10-28 18:35

manager   ~0012111

https://github.com/FreeCAD/FreeCAD/commit/1d86a83b305e14fc500a7f6d783c65a2e4f58b3b

abdullah

2018-10-28 18:36

manager   ~0012112

git commit 1d86a83b305e14fc500a7f6d783c65a2e4f58b3b

Issue History

Date Modified Username Field Change
2013-11-13 04:03 bejant New Issue
2013-11-13 04:03 bejant File Added: 20131112d.FCStd
2018-10-06 15:14 abdullah Target Version => 0.18
2018-10-15 15:27 abdullah File Added: Screenshot_20181015_172457.png
2018-10-15 15:27 abdullah Note Added: 0012031
2018-10-16 14:57 abdullah Note Added: 0012041
2018-10-28 18:35 abdullah Note Added: 0012111
2018-10-28 18:36 abdullah Assigned To => abdullah
2018-10-28 18:36 abdullah Status new => closed
2018-10-28 18:36 abdullah Resolution open => fixed
2018-10-28 18:36 abdullah Fixed in Version => 0.18
2018-10-28 18:36 abdullah Note Added: 0012112